com.threerings.parlor.tourney.data

## Class TourneyObject

- java.lang.Object
- - com.threerings.presents.dobj.DObject
  - - com.threerings.parlor.tourney.data.TourneyObject

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class TourneyObject
    extends com.threerings.presents.dobj.DObject

Provides information on a specific tourney.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `CANCELLED` Tourney has been cancelled.
`TourneyConfig` `config` The tourney configuration.
`static String` `CONFIG` The field name of the `config` field.
`static int` `FINISHED` Tourney has completed.
`com.threerings.presents.dobj.DSet<Participant>` `participants` A DSet that accumulates Participant records for the players involved in this tourney.
`static String` `PARTICIPANTS` The field name of the `participants` field.
`static int` `PAUSED` Tourney is paused.
`static int` `PENDING` Tourney is pending and accepting participants.
`static int` `RUNNING` Tourney is currently running.
`static String` `STARTS_IN` The field name of the `startsIn` field.
`int` `startsIn` The real-time number of minutes before it starts.
`int` `state` The current state of the tourney.
`static String` `STATE` The field name of the `state` field.
`static String` `TOURNEY_SERVICE` The field name of the `tourneyService` field.
`TourneyMarshaller` `tourneyService` Provides the way in which tourney participants can communicate with the server.

### Constructor Summary

Constructors
Constructor and Description
`TourneyObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToParticipants(Participant elem)` Requests that the specified entry be added to the `participants` set.
`void` `removeFromParticipants(Comparable<?> key)` Requests that the entry matching the supplied key be removed from the `participants` set.
`void` `setConfig(TourneyConfig value)` Requests that the `config` field be set to the specified value.
`void` `setParticipants(com.threerings.presents.dobj.DSet<Participant> value)` Requests that the `participants` field be set to the specified value.
`void` `setStartsIn(int value)` Requests that the `startsIn` field be set to the specified value.
`void` `setState(int value)` Requests that the `state` field be set to the specified value.
`void` `setTourneyService(TourneyMarshaller value)` Requests that the `tourneyService` field be set to the specified value.
`void` `updateParticipants(Participant elem)` Requests that the specified entry be updated in the `participants` set.

### Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STATE

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String STATE

The field name of the `state` field.

See Also:
  Constant Field Values

#### CONFIG

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String CONFIG

The field name of the `config` field.

See Also:
  Constant Field Values

#### STARTS_IN

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String STARTS_IN

The field name of the `startsIn` field.

See Also:
  Constant Field Values

#### TOURNEY_SERVICE

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String TOURNEY_SERVICE

The field name of the `tourneyService` field.

See Also:
  Constant Field Values

#### PARTICIPANTS

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String PARTICIPANTS

The field name of the `participants` field.

See Also:
  Constant Field Values

#### PENDING

    public static final int PENDING

Tourney is pending and accepting participants.

See Also:
  Constant Field Values

#### RUNNING

    public static final int RUNNING

Tourney is currently running.

See Also:
  Constant Field Values

#### CANCELLED

    public static final int CANCELLED

Tourney has been cancelled.

See Also:
  Constant Field Values

#### PAUSED

    public static final int PAUSED

Tourney is paused.

See Also:
  Constant Field Values

#### FINISHED

    public static final int FINISHED

Tourney has completed.

See Also:
  Constant Field Values

#### state

    public int state

The current state of the tourney.

#### config

    public TourneyConfig config

The tourney configuration.

#### startsIn

    public int startsIn

The real-time number of minutes before it starts.

#### tourneyService

    public TourneyMarshaller tourneyService

Provides the way in which tourney participants can communicate with the server.

#### participants

    public com.threerings.presents.dobj.DSet<Participant> participants

A DSet that accumulates Participant records for the players involved in this tourney.

### Constructor Detail

#### TourneyObject

    public TourneyObject()

### Method Detail

#### setState

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setState(int value)

Requests that the `state` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

#### setConfig

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setConfig(TourneyConfig value)

Requests that the `config` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

#### setStartsIn

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setStartsIn(int value)

Requests that the `startsIn` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

#### setTourneyService

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setTourneyService(TourneyMarshaller value)

Requests that the `tourneyService` field be set to the specified value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.

#### addToParticipants

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void addToParticipants(Participant elem)

Requests that the specified entry be added to the `participants` set. The set will not change until the event is actually propagated through the system.

#### removeFromParticipants

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void removeFromParticipants(Comparable<?> key)

Requests that the entry matching the supplied key be removed from the `participants` set. The set will not change until the event is actually propagated through the system.

#### updateParticipants

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void updateParticipants(Participant elem)

Requests that the specified entry be updated in the `participants` set. The set will not change until the event is actually propagated through the system.

#### setParticipants

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setParticipants(com.threerings.presents.dobj.DSet<Participant> value)

Requests that the `participants` field be set to the specified value. Generally one only adds, updates and removes entries of a distributed set, but certain situations call for a complete replacement of the set value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.